module.exports = {
	root: true,
	parser: '@typescript-eslint/parser',
	extends: ['eslint:recommended', 'plugin:@typescript-eslint/recommended', 'prettier'],
	plugins: ['svelte3', '@typescript-eslint', 'simple-import-sort', 'import', 'prettier'],
	ignorePatterns: ['*.cjs'],
	overrides: [{ files: ['*.svelte'], processor: 'svelte3/svelte3' }],
	settings: {
		'svelte3/typescript': () => require('typescript')
	},
	rules: {
		'node/no-missing-import': 'off',
		'@typescript-eslint/ban-ts-comment': 'off',
		'@typescript-eslint/naming-convention': 'off',

		'prettier/prettier': ['error'],

		'simple-import-sort/imports': 'error',
		'simple-import-sort/exports': 'error',

		'import/first': 'error',
		'import/newline-after-import': 'error',
		'import/no-duplicates': 'error',

		'no-console': 'off'
	},
	parserOptions: {
		sourceType: 'module',
		ecmaVersion: 2020
	},
	env: {
		browser: true,
		es2017: true,
		node: true
	}
};
