#!/usr/bin/env node

const { execSync } = require('child_process');

const say = (str) => console.log(`\n${str}\n`);
function runCommand(command) {
	say(`🏃 RUNNING: ${command}`);
	try {
		execSync(command, { stdio: 'inherit' });
	} catch (err) {
		console.error(`⛔️ FAILED: ${command}`, err);
		return false;
	}
	return true;
}

const repoName = process.argv[2];
const gitCheckoutCommand = `git clone --depth 1 https://github.com/OllieJT/create-svelte-trpc ${repoName}`;
const installDepsCommand = `cd ${repoName} && yarn install`;

say(`🧑‍💻 CLONING: ${repoName}...`);

const checkedOut = runCommand(gitCheckoutCommand);
if (!checkedOut) process.exit(-1);

say(`📦 Installing dependencies for ${repoName}...`);
const installedDeps = runCommand(installDepsCommand);
if (!installedDeps) process.exit(-1);

say(`📦 ...dependencies installed!`);
say(`cd ${repoName} && yarn start`);
